
<?php

include("../src/config.php");
$sql00 = mysql_query("select id_cliente from clientes order by id_cliente desc limit 1") or die(mysql_error());
$ultimo_cliente = @mysql_result($sql00, 0, "id_cliente")+1;

$nombre = $_GET["nombre"];
?>

<link rel="stylesheet" type="text/css" href="../src/css/bootstrap.min.css">

<style>
label{
   
    margin-bottom:0;
    margin-top:0;
}

.form-control{

	font-size:14px;
}

td{
	font-size:14px;
	
}




</style>


<script src="../src/jquery.js"></script>
<script src="../src/js/bootstrap.min.js"></script>
<script src="../src/moment1.js"></script>
<script src="../src/datatables.js"></script>
<script src="../src/bootstrap_datatable.js"></script>

<?php 
  include("../cabecera.php");
 ?>

<div class="container" style="background: #FFFFFF;">
    	<br>
	<img src="../img2/suplidores.png" width="60" style="margin-bottom:0px"><span class="text-primary h3"> Clientes registrados</span>
              
                    
                          
						<div class="row">
							<div class="col-md-3">
                                <input type="text" class="form-control mt-2" placeholder="Buscar cliente por cedula o telefono" onKeyUp="lista(this.value,'')">
                            </div>
                            
                           <div class="col-md-9">
                                <button id="btnNuevo" class="btn btn-rojo  mt-2" data-toggle="modal" data-target="#modalCliente1"> <i class="fa fa-users"> </i> CREAR CLIENTE</button>
                                <button class="btn btn-secundary  mt-2" onClick="window.location.href='../index.php'"> <i class="fa fa-undo"> </i>  SALIR</button>
                            </div>
							</div>
                            <div class="row mt-2">
							<div class="col-md-12">
							<br>
                            <div id="lista" class="table-responsive">
                                
                            </div>
                     
                    
					 </div>
					
       
  
</div>


















<!-- Modal lista cliente-->
<div class="modal fade" id="modalCliente" tabindex="-1" role="dialog" data-keyboard="false" data-backdrop="static" aria-labelledby="exampleModalScrollableTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-scrollable modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h3 class="text-info" id="exampleModalScrollableTitle">Clientes registrados</h3>
		<button data-dismiss="modal" class="btn btn-danger">Cerrar</button>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" style="height:400px; overflow-y:scroll">
          <div class="form">
                <div class="form-group">
                     <input type="text" class="form-control" id="txtBuscar" placeholder="Busqueda por nombre" onKeyUp="lista(this.value,'nombre')">
                </div>
            </div>
        <div id="lista2">
            
        </div>
      </div>
      <div class="modal-footer">
    
      </div>
    </div>
  </div>
</div>


<!-- Modal nuevo cliente-->
<div class="modal fade" id="modalCliente1" tabindex="-1" role="dialog" data-keyboard="false" data-backdrop="static" aria-labelledby="exampleModalScrollableTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-scrollable" role="document">
    <div class="modal-content">
      <div class="modal-header">
      	<img src="../img2/cliente.png" width="60" style="margin-bottom:10px"><span class="text-primary h3"> Datos del cliente</span><br>
        

        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="11">
	
			<a href="#"  onClick="abrir_prestamo()" class="mr-2 text-ubuntu"><b><i class="bi bi-coin"></i> Prestamos p/Cuotas</b></a> |
			<a href="#" onClick="abierto()" class=""><i class="bi bi-cash-coin"><b></i> Prestamo abierto</b></a> |
			<a href="#" onClick="historial()" class=""><i class="bi bi-clock-history"><b></i> Ver historial de cliente</b></a>
		<div class="row mt-2">
     	            <div class="col-xs-2"><b>Id</b></div>
					<div class="col-xs-10">
						<input placeholder="0" type="text" id="id" class="form-control" readonly="readonly">
					</div>
		</div>
		
		
			
        
		
			<div class="row mt-2">
     	            <div class="col-xs-2"><b>Nombre</b></div>
						<div class="col-xs-10">
							<input  placeholder="Nombre del cliente" type="text" id="nombre" class="form-control form-control-sm">
						</div>
			</div>
			
		<div class="row mt-2">
     	            <div class="col-xs-2"><b>Cedula</b></div>
						<div class="col-xs-10">
							<input type="text" placeholder="Cedula del cliente" id="cedula" class="form-control form-control-sm">
						</div>
		</div>

			<div class="row mt-2">
     	            <div class="col-xs-2"><b>Telefono</b></div>
						<div class="col-xs-10">
							<input type="text" placeholder="Telefono del cliente" id="telefono" class="form-control form-control-sm">
						</div>
			</div>

			 <div class="row mt-2">
     	            <div class="col-xs-2"><b>Correo</b></div>
						<div class="col-xs-10">
					<input type="text" placeholder="Direccion de correo electronico" id="email" class="form-control form-control-sm">
				</div>
			</div>
			<div class="row mt-2">
     	            <div class="col-xs-2"><b>Ocupacion</b></div>
						<div class="col-xs-10">
							<input type="text" placeholder="Ocupacion del cliente" id="ocupacion" class="form-control form-control-sm">
						</div>
			</div>
					
			<div class="row mt-2">
     	            <div class="col-xs-2"><b>Direccion</b></div>
						<div class="col-xs-10">
					<input placeholder="Ejmp: C/ .., # 0, Sector, Ciudad, Pais" type="text" id="direccion" class="form-control form-control-sm">
				</div>
			</div>
			<div class="row mt-2">
     	            <div class="col-xs-2"><b>Ruta</b></div>
						<div class="col-xs-10">
					<span id="ruta"></span>
				</div>
			</div>
			
			<div class="row mt-2">
     	            <div class="col-xs-2"><b>Cobrador</b></div>
						<div class="col-xs-10">
					<span id="cobrador"></span>
				</div>
			</div>
				



		
		
</div>
      </div>
      <div class="modal-footer">
	  <div class="col-md-12">
           <button type="button" onClick="grabar_cliente()" class="btn btn-ubuntu mb-2 mt-2"><i class="bi bi-download"></i> Grabar</button>
            	<button onclick="eliminar()" class="btn btn-primary  mb-2"><i class="bi bi-trash"></i> Borrar </button>
        <button type="button" id="btnCerrar1" class="btn btn-primary  mb-2" data-dismiss="modal" onclick="limpiar()"><i class="bi bi-arrow-left"></i>  Cancelar</button>
        
       
</div>

       
 
      
    </div>
    </div>
  </div>
</div>




<!-- Modal nuevo prestamo-->
<div class="modal fade" id="modalPrestamo" tabindex="-1" role="dialog" data-keyboard="false" data-backdrop="static" aria-labelledby="exampleModalScrollableTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-scrollable modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
	<img src="../img2/factura.png" width="60" style="margin-bottom:0px"><span class="text-primary h3"> Nuevo prestamo</span>
         
	
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
         
        <div id="prestamo">
            
        </div>
        
     </div>
	
	
</div>
</div>
</div>






<script>
var nombre_cliente = "<?php echo $nombre;?>";
//lista(nombre_cliente,'')
//$("#lista").html("<small class='text-primary'>Digite nombre,cedula o telefono del cliente para buscar...</small>");
lista('', '');
function lista(nombre,tipo){

    
    
    $.ajax({
        url:"lista.php",
        type:"POST",
        data:{nombre:nombre,tipo:tipo},
        success:function(data){
            data = JSON.parse(data);
            if(tipo==''){
                $("#lista").html(data["tabla"]);
            }else{
                $("#lista2").html(data["tabla"]);
            }
        }
    });
}

llenar_cobradores();
llenar_ruta();


function abrir_prestamo(){
    	var id_cliente=	$("#id").val();
    	var nombre=	$("#nombre").val();
    	////id_cliente = parseInt(id_cliente);
    	if(id_cliente=="" || id_cliente=="0"){
    	 id_cliente = "<?php echo $ultimo_cliente?>";
    	 ///alert(id_cliente)
    	    
    	}    
    	     $("#modalPrestamo").modal();
    	      $.get("../prestamos/nuevo_prestamo.php?id="+id_cliente+"&nombre="+nombre,function(data,x){
    	          $("#prestamo").html(data);
    	           $(".btnGrabar1").css("display","block");
    	      })
    	   
    	     
    	
}


function abierto(){
      
    	var id_cliente=	$("#id").val();
    	var nombre=	$("#nombre").val();
    	
    	if(id_cliente!=""){
    	    
    	     //$("#modalPrestamo").modal();
    	     window.location.href="nuevo_prestamo_abierto.php?id="+id_cliente+"&nombre="+nombre
    	   
    	     
    	}else{
    	     id_cliente = "<?php echo $ultimo_cliente?>";
    	     window.location.href="nuevo_prestamo_abierto.php?id="+id_cliente+"&nombre="+nombre
    	}
}



/*Llenar select rutas*/
function llenar_ruta(){
	
	var accion = "rutas";
	$.get("../src/combos.php?accion="+accion,function(data,st){
		if(st=="success"){
			$("#ruta").html(data);
			
		}
	});
}


/*Llenar select cobradores*/
function llenar_cobradores(){
	var accion = "cobradores";
	$.get("../src/combos.php?accion="+accion,function(data,st){
		
		if(st=="success"){
			$("#cobrador").html(data);
			
		}
	});
}


/*Grabar cliente*/
function grabar_cliente(){
	var id_cliente=	$("#id").val();
	var nombre=	$("#nombre").val();
	var cedula=	$("#cedula").val();
	var telefono=$("#telefono").val();
	var direccion=$("#direccion").val();
	var ocupacion=$("#ocupacion").val();
	var cobrador=$("#cobrador0").val();
	var ruta=$("#ruta0").val();
	var email=$("#email").val();

	
	var parametros = "id_cliente="+id_cliente+"&nombre="+nombre+"&cedula="+cedula+"&telefono="+telefono+"&direccion="+direccion+"&ocupacion="+ocupacion+"&email="+email+"&cobrador="+cobrador+"&ruta="+ruta+"&accion=grabar";
	if(nombre=="" || cedula==""){
		alert("Datos incompletos");
		return; 
	}
	
	
var url="grabar.php?"+parametros;
$.get(url,function(data,st){
	
	if(st=="success"){
	if(data==1){
	    
		//alert("CLIENTE GRABADO CON EXITO!");
		if(id_cliente==""){
		   ////abrir_prestamo()
		}
		    
		  window.location.href="ventana.php?nombre="+$("#nombre").val()
	    $("#btnCerrar1").click();
	   
		limpiar();
		
			
		}else{
			alert(data);
		
	}
		
	}

});
		
}



/*Seleccionar cliente*/
var cliente;
var id_cliente;

function datos(id){
try{	
         $("#modalCliente1").modal();
	    limpiar();
		var accion = "get_cliente";
		var url="datos.php?id="+id+"&accion="+accion;
		$.get(url,function(data,st){
			if(st=="success"){
				var datos = JSON.parse(data);
				id_cliente = datos.id_cliente;
				cliente = datos.nombre;
				$("#nombre").val(datos.nombre);
				$("#cedula").val(datos.cedula);
				$("#telefono").val(datos.telefono);
				$("#direccion").val(datos.direccion);
				$("#ocupacion").val(datos.ocupacion);
				$("#email").val(datos.email);
				$("#id").val(datos.id_cliente);
				var co = datos.cobrador;
				var ru = datos.ruta;
				
				$("#cobrador0 option[value='"+co+"']").prop('selected', true);
				$("#ruta0 option[value='"+ru+"']").prop('selected', true);
				
				
				
			}
		});
	}catch(e){
		alert(e.message+"\n"+e.description+"\n"+e.stractrace);
	}
}





/*Eliminar cliente*/
function eliminar(){
	var id = parseInt($("#id").val());
	if(isNaN(id) || id<=0 || id==""){
		alert("*****|  Debe seleccionar un registro |*****");
		return;
	}

	if(confirm("**** SEGURO QUE DESEA ELIMINAR ESTE REGISTRO? ****")){/**/}else{return;}
    
	var accion = "eliminar";
	$.get("eliminar.php?id="+id+"&accion="+accion,function(data,st){
		if(st=="success"){
			if(data==1){
				alert("CLIENTE ELIMINADO CORRECTAMENTE!");
		  window.location.href="ventana.php?nombre="
		
				limpiar();
		    }else{
		    	alert(data);
			
		    }
			
		}
	});


}






 $("input[type='text']").focus();

/*Limpiar campos*/
function limpiar(){
     $("input[type='text']").focus();
				$("#nombre").val("");
				$("#cedula").val("");
				$("#telefono").val("");
				$("#direccion").val("");
				$("#ocupacion").val("");
				$("#email").val("");
				$("#id").val("");
				var co = "";
				var ru = "";
				
				$("#cobrador0 option[value='"+co+"']").prop('selected', true);
				$("#ruta0 option[value='"+ru+"']").prop('selected', true);
}

////$("#modalCliente").modal('show');
lista('','nombre');

function historial(){
     
    window.open('../historico.php?id='+id_cliente+'&cliente='+cliente,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=850');

  
}

</script>

<?php 
 include_once '../footer.php';

 ?>
